package com.ruoyi.tcZz.mapper;

import java.util.List;
import com.ruoyi.tcZz.domain.TcWljg;
import org.apache.ibatis.annotations.Param;

/**
 * 网络监测Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface TcWljgMapper 
{
    /**
     * 查询网络监测
     * 
     * @param id 网络监测主键
     * @return 网络监测
     */
    public TcWljg selectTcWljgById(Long id);

    /**
     * 查询网络监测列表
     * 
     * @param tcWljg 网络监测
     * @return 网络监测集合
     */
    public List<TcWljg> selectTcWljgList(TcWljg tcWljg);

    /**
     * 新增网络监测
     * 
     * @param tcWljg 网络监测
     * @return 结果
     */
    public int insertTcWljg(TcWljg tcWljg);

    /**
     * 修改网络监测
     * 
     * @param tcWljg 网络监测
     * @return 结果
     */
    public int updateTcWljg(TcWljg tcWljg);

    /**
     * 删除网络监测
     * 
     * @param id 网络监测主键
     * @return 结果
     */
    public int deleteTcWljgById(Long id);

    /**
     * 批量删除网络监测
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcWljgByIds(Long[] ids);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(@Param("isStatus") Integer isStatus, @Param("ids") List<String> ids);

}
